<?php
session_start();

include_once 'config.php';

class conecta extends config {
	var $pdo;
	
	function __construct(){
		$this->pdo = new PDO('mysql:host='.$this->host.';dbname='.$this->db, $this->usuario, $this->senha);
	}
	
	function getFotos(){
		$cod_prod = $_SESSION['editprod'];
		$tabela		=	$_SESSION['tabela'];
		$campo		=	$_SESSION['campo'];
		$pasta		=	$_SESSION['pasta'];
		$stmt = $this->pdo->prepare("SELECT imagem FROM $tabela WHERE $campo = :cod_prod");
		$stmt->bindValue(":cod_prod",$cod_prod);
		$run = $stmt->execute();
		
		$array = array();
		while($sqlp	=	$stmt->fetch(PDO::FETCH_ASSOC)){
			array_push($array, $sqlp["imagem"]);
		}
		return $array;

	}

	function insertFotos($foto) {
		$cod_prod = $_SESSION['editprod'];
		$tabela		=	$_SESSION['tabela'];
		$campo		=	$_SESSION['campo'];
		$pasta		=	$_SESSION['pasta'];
		$stmt = $this->pdo->prepare("INSERT INTO $tabela (imagem, $campo) VALUES (:foto, $cod_prod)");
		$stmt->bindValue(":foto",$foto);
		$run = $stmt->execute();
		
	}
	
	function deletaFoto($foto) {
		$cod_prod 	= $_SESSION['editprod'];
		$tabela		=	$_SESSION['tabela'];
		$campo		=	$_SESSION['campo'];
		$pasta		=	$_SESSION['pasta'];
		$stmt = $this->pdo->prepare("DELETE FROM $tabela WHERE imagem = (:foto)");
		$stmt->bindValue(":foto",$foto);
		$run = $stmt->execute();
		
	}

}